Description

The old description seems very old and a lot has changed in the meantime. | would really appreciate it a lot, if there would be a new

and up-to-date documentation for non-rails-pros how to deploy Redmine to Heroku.

History

#1 - 2014-04-28 19:23 - Sandro Kolly

- Status changed from New to Resolved

Ok, after months of try-and-fail | was finally able to do it.

As it's my first Rails application i had no idea of how to do it, so | looked for different tutorials. Finally here my own:

It's a mix between these two:

® http://railsguides.net/2012/04/28/how-to-deploy-redmine-to-heroku/
e http://tygertown.us/redmine-on-heroku/

First i got the newest stable version of Redmine (2.5 at this time)

git clone https://github.com/redmine/redmine.git -b 2.5-stable

Edit: Navigate into your project with your terminal:

cd redmine

Then as everywhere, we have to remove those files from .gitignore

Gemfile.lock

Gemfile.local

public/plugin_assets
config/initializers/session_store.rb
config/initializers/secret_token.rb
config/configuration.yml
config/email.yml

As | always had problems with the database, | just removed this whole block from the Gemfile

database_file =
if File.exist? (database_file)

File.join(File.dirname(__FILE__ ), "config/database.yml")

database_config = YAML: :load (ERB.new (IO.read(database_file)) .result)

else

warn ("No adapter found in config/database.yml, please configure it first")

end
else

warn ("Please configure your config/database.yml first")

end

and added instead just this to the Gemfile
http://railsguides.net/2012/04/28/how-to-deploy-redmine-to-heroku/
http://tygertown.us/redmine-on-heroku/

group :production do
# gems specifically for Heroku go here
gem "pg", ">= 0.11.0"

end

Then finally install the gems. Don't get confused by log messages like "Please configure your config/database.yml first", heroku will do that for you

bundle install

Now get the secret token with

bundle exec rake generate_secret_token

Next, you create a app at heroku (we're supposing you are already registered at heroku and all that it brings with it)

heroku create NAME_FOR_YOUR_APP
To avoid aborting when deploying to heroku, we have to do the following two steps:

e In config/environment.rb we have to remove (or comment) line 10, where it says
exit 1

e In config/application.rb we have to add an additional line between line 13 and line 14 and add this: config.assets.initialize_on_precompile = false
and it should look like this

12: module RedmineApp

13: class Application < Rails::Application
14: config.assets.initialize_on_precompile = false
15: # Settings in config/environments/* take precedence over those specified here.

Now we are finally ready to commit our changes

git add -A

git commit -m “prepping for heroku”

git push heroku 2.5-stable:master

Now just get the database ready and chose the default language, when you are asked
heroku run rake db:migrate

heroku run rake redmine:load_default_data

There you go, open your redmine and log in with your credentials

heroku open

Your username is admin and your password is admin as well.
For E-Mail configurations, check the referenced Tutorials.
There you go...

#2 - 2014-04-29 13:44 - Etienne Massip

Thanks, could you please create an howto in wiki?

#3 - 2014-05-05 10:57 - Sandro Kolly

Etienne Massip wrote:

Tanks, could you please create an howto in wiki?

2025-07-02 2/3



Done, but as you can see maybe | did an error and opened a second version (>2.5.x), now i cant delete the first one (>25) that isn't linked in the
How-To's.

Maybe you can help me out here

#4 - 2014-05-05 21:46 - Etienne Massip

Done,thanks again!

#5 - 2014-05-13 14:21 - Toshi MARUYAMA

- Status changed from Resolved to Closed

Thank you.
HowTo Install Redmine (> 2.5.x) on Heroku
